[package]
name = "fs-mistrust"
version = "0.7.0"
authors = ["The Tor Project, Inc.", "Nick Mathewson <nickm@torproject.org>"]
edition = "2021"
license = "MIT OR Apache-2.0"
homepage = "https://gitlab.torproject.org/tpo/core/arti/-/wikis/home"
description = "Ensure that files can only be read or written by trusted users"
keywords = ["fs", "file", "permissions", "ownership", "privacy"]
categories = ["filesystem"]
repository = "https://gitlab.torproject.org/tpo/core/arti.git/"
rust-version = "1.65"

[features]
default = ["walkdir", "anon_home"]
full = ["walkdir", "anon_home"]

anon_home = ["once_cell", "dirs"]

[dependencies]
derive_builder = { version = "0.11", package = "derive_builder_fork_arti" }
dirs = { version = "5", optional = true }
educe = "0.4.6"
once_cell = { version = "1", optional = true }
serde = { version = "1.0.103", features = ["derive"], optional = true }
thiserror = "1"
walkdir = { version = "2", optional = true }

[target.'cfg(unix)'.dependencies]
libc = "0.2"
once_cell = "1"

[target.'cfg(all(unix, not(target_os="ios"), not(target_os="android")))'.dependencies]
users = "0.11"

[dev-dependencies]
serde_json = "1.0.50"
tempfile = "3"
toml = "0.7.2"
[package.metadata.docs.rs]
all-features = true
rustdoc-args = ["--cfg", "docsrs"]
